package backend

type DbListRequest struct {
	Page   int    `json:"page" validate:"required" form:"page" example:"1"`
	Limit  int    `json:"limit" validate:"required" form:"limit" example:"10"`
	DbName string `json:"db_name" form:"db_name" example:""`
	Status int    `json:"status" form:"status" example:"1"`
	DbType string `json:"db_type" form:"db_type" example:"mysql"`
}

type DbListResponse struct {
	DbId         string `json:"db_id"`
	DbName       string `json:"db_name"`
	DbType       string `json:"db_type"`
	Status       int    `json:"status"`
	DbPermission int    `json:"db_permission"`
	Source       string `json:"source"`
	Desc         string `json:"desc"`
	CreateTime   string `json:"create_time"`
}

type DbAddRequest struct {
}
